Starting WinHand

WinBack Scratcher ver6.0 for WindowsXP

Copyright(C)1997-2002 Masami Ikawa

This software is the customizing software for WindowsXP. The aim of this software is able to change the itchy places that Windows cannot reach. This software is not permanently stationed at Windows, because this software only set to registry, ini files. This software have various settings that standard function of Windows cannot change. (e.g.) change icons, hide start menu, change starting logo.


Configration

Precondition

The following environment is minimally necessary in order to use "WinBack Scratcher."

  • "WinBack Scratcher" software
  • CPU (Pentium 100MHz later)
  • Microsoft WindowsXP
  • Memory (more than 32MB)
  • HardDisk space more than 5MB
  • VGA monitor more than 16 colors which supports more than 800x600

Notes

Administrator authority is necessary to use WinBack Scratcher. Please use it after giving authority to user. Please consult system administrator in case of use in companies.


Install of WinHand

Installation

In case of re-installation or version up, it is possible by overwrite installation.

Uninstall

Please start 'Add/Remove Programs', select WinBack Scratcher, and please do double click. Because the following files are not deleted by this operation, please delete it by manual operation.

  • Setup.exe (installer)
  • Setup.ini (installation information)
  • MySettings.ini (Recently setting information)

In addition, please delete it by manual operation because various backup file saved by WinBack Scratcher is not deleted.


Basis Using

Basic usage

WinBack Scratcher each classes settings to a various tab. After you change settings, please push 'Apply' button.

'Apply' button

When you push this button, actually you set it for Windows. After you change settings, please push 'Apply' button. WinBack Scratcher does not change various setting of registry so long as you do not push this button.

'Open' button

You can open the setting information that you saved with 'Save' button.

'Save' button

You can save to files various setting of WinBack Scratcher. For example, you save to files several kinds (MAC style, BeOS styles and so on) information. You can open these files at pleasure.

(Notes)

  • You cannot save following settings.
  • 'Uninstall' tab
  • 'Autorun' tab
  • 'New' tab
  • Starting Logo and ending Logos.

'Standard' button

You can return to standard settings by one time operation.

(Notes)

You cannot return following settings.

  • 'Uninstall' tab
  • 'Autorun' tab
  • 'New' tab

Because it is meaningless even if these return standard. Also, these setting is different by PC.


Icon

Icon change method

Please click the top of an icon displayed by WinBack Scratcher. Then, if you clicked My Computer icon, all icons which explorer.exe includes are displayed, because an icon of My Computer is included in a file of explorer.exe. Please push '...' button. Please look for a favorite icon file and open. Then all icons which the file includes are displayed. Please do double click on a favorite icon. The following files include a lot of icons.

  • C:\Windows\Progman.exe
  • C:\Windows\Moricons.dll
  • C:\Windows\System\Shell32.dll
  • C:\Windows\System\Pifmgr.dll
  • C:\Windows\System\Cool.dll

Foreground color of icon

In case of Windows standard, foreground color of icon is 16 colors.


Desktop

Create 'Control Panel' icon on desktop

If you validate this setting, alias of 'Control Panel' will appear on desktop. This setting is ineffective with IE5.

Create 'Printers' icon on desktop

If you validate this setting, alias of 'Printers' will appear on desktop. This setting is ineffective with IE5.

Hide shortcut icon

When you create shortcut, the arrow will show on icon. This setting can hide this arrow.


Explorer

Run explorer when you double-click on 'My Computer'

When you double-click on 'My Computer', explorer will start.

Hide drives

If you validate this setting, drives hide within 'My Computer' or Explorer. However, 'Explorer' and 'Open' menu when right-click on start-button are disabled.

Change wallpaper of toolbar

This setting can change wallpaper of toolbar in explorer. The size of 40x40 or 80x80 pixel is better.

Name of Recycle Bin

This setting can change name of 'Recycle Bin' (e.g. Trash).

Hide Recycle Bin icon

If you validate this setting, 'Recycle Bin' icon will hide.

Display Recycle Bin within 'My Computer'

If you validate this setting, 'Recycle Bin' display in 'My Computer' window.


Network and Recycle Bin

Netowork

Hide network neighborhood icon

If you validate this setting, network neighborhood icon will hide.

Hide entire network icon

If you validate this setting, 'Entire Network' icon in 'Network Neighborhood' will hide.

Hide workgroup icon

If you validate this setting, 'Workgroup' icon in 'Network Neighborhood' will hide.


Context Menu

Change icon of each folder

If you validate this setting, 'Change Icon ...' appear in context menu when you right-click on any folder. This function can change icon of each folder. However, this setting is effective with the following environment :

This setting can change icon of drive (Hard-disk only) without above environment.

Open another window on folder

If you validate this setting, you can open another window on folder.

Open non-associate files with following application

When you double-click non-associate files, you will see 'Select application' dialog. This setting can open with your favorite application (e.g. Notepad, Editor, Binary Editor).

When you right-click on all files, display above menu

This setting can display above menu when you right-click on all files, not only non-associate files. If you use Microsoft Office Toolbar, please annul this setting.

Enable to Command-Prompt on each folder

This setting can start Command prompt on each folder when you right-click on each folder. For example, if you right-click on c:\temp, Current directory is c:\temp within Command prompt window.


ShellNew

New

When you right-click on dekstop, you can see 'New' item in context menu. When you install various application, application will create icon automatically within 'New'. So Windows waste time for displaying icon when you right-click on dekstop. This setting can remove these item in 'New'.


Window and Restriction

Window

Enable to smooth scroll

If this setting is effective, PC will waste a little memory.

Disable animation when you minimized window

If you validate this setting, window's animation of minimizing or maximizing will stop. This will affect to your PC's performance and memory.

Arrange pull-down menu to right side

The pull-down menu arrange to left-side usually. This setting can arrange to right-side.

Display window by old style

If you want to hide 'Favorite' and 'Go' menu, please validate this setting. In case of Windows98, if this setting is effective, explorer will display without WEB style. If you validate this setting, you can select 'legacy Window style' only in folder option.

Disable saving window setting

Windows will store window's position and style every time. You can open same position and style according to this function. If you validate this setting, Windows will not store windows's position and style.


Window and Restriction

Restriction

If you validate this setting, you can restrict to Password, Display and Network within Contorol Panel.

Change password of WinBack Scratcher

If you set this setting, you have to enter password at starting WinBack Scratcher.

Executable application

In case that multiple people use one PC (for example Company, School, Training room), you maybe wish to restrict executable applications if you are system administrator. When you validate this setting, error message will display if anyone execute application you did not set.

(Notes)

WinBack Scratcher and Registry Editor are set unconditionally as executable application.


Internet Explorer

Change wallpaper of IE's toolbar

This setting can change wallpaper of IE5's toolbar. The size of 40x40 or 80x80 pixel is good.

Change animation logo

This setting can change animation logo on Internet Explorer. The bitmap arranged lengthwise frame of 26x26 pixel is suitable. The sample bitmap file is exist in installed directory.

Title of Internet Explorer

The title of IE4.x or IE5.x is fixed on 'Microsoft Internet Explorer'. This setting can change this title.

Search Page by 'find xxx' or '? xxx'

Usually, when you enter 'find xxx' or '? xxx' on IE, IE will jump to Microsoft's Search page. This setting can change (e.g. Excite Site).

Password of anonymousFTP

The standard setting is ieXXuser@. In case of FTP software, you will enter your E-mail address on AnonymousFTP. However, IE cannot change this password. This setting can change password of Anonymous with IE.

Title of Outlook Express

The title of Outlook Express is fixed on 'Outlook Express'. This setting can change this title.


Start Menu

Menu Speed

This setting can change response time of start menu.


Logon

Dialog message before logon

Before you logon (Ctrl+Alt+Del), you can display message box.

Disable display last logon user

Usually, last logon user will display in logon dialog. If you validate this setting, last logon user will not display.

(Note) If you validate setting of automatic login, please invalidate.

Automatic Logon

If you wish to logon with same user every time, set this setting. If you set user administrator authority not have, you cannot logon by another user. Because WinBack Scratcher require administrator authority. In this case, please push 'Shift' button while logon, then you can see logon dialog box.

Wallpaper when logon

You can change wallpaper at logon screen.

Background color when logon

You can change background color when you logon.

Remove files within temp folder when logon

If you validate this setting, the files within temp folder will remove. Usually, in case of Windows95 or Windows98, this folder is c:\windows\temp, in case of WindowsNT, this folder is c:\temp.

Remove history list of Documents on start menu

If you validate this setting, history list will be remove when you logon. This history list is shortcut of files you used. These shortcut store within c:\windows\recent or c:\windows\profiles\(user)\recent.

String of find condition

This setting can remove history of string of find condition.

String of 'Run ...'

This setting can remove history of string of 'Run ...'.


Performance


System

Registration

This setting can change registration information of Windows.


Uninstall

When you remove files without 'Add/Remove software', entry will remain within this window. In this case, you can remove entry forcely within 'Add/Remove Programs'.


Autorun

The application that automatically execute without AUTOEXEC is exist. These autorun information store in registry. This setting can remove these autorun setting.


File Cleaner

This tool have no backup function. Please confirm before removing.

Backup file

This is backup file of other application. Usually, extension is 'BAK'', 'OLD' or '$*'.

Temporary File

This is temporary file that other application software use. Usually, these file will remove automatically after application software terminated. However, some files will remain when application software fault. Usually, extension is '~*' or 'TMP'.

Recent file

This is shortcut file that Windows create automatically.

Cache file of Windows Help

This is cache file that Windows create automatically when you open help file. If you remove this cache file, Windows will create this cache file automatically when you open help file. Accordingly, removing will be safe.

Text files within Windows folder

This is text files within Windows folder. These files describe information of Windows.

Cruster files

The scandisk program will store to file when find destroyed cluster. Usually, This files is useless without special tool.

MSCREATE.DIR

This files are zero byte. These files are created by installation of Microsoft products.


Keyboard Cleaner

Please use this tool in case that you want to clean while you use PC.


Mouse Cleaner

Please use this tool in case that you want to clean while you use PC.


LIMITED WARRANTY

THIS PROGRAM AND ACCOMPANYING WRITTEN MATERIALS ARE PROVIDED "AS IS" WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. NEITHER THE AUTHOR NOR ANYONE ELSE WHO HAS BEEN INVOLVED IN THE CREATION, PRODUCTION OR DELIVERY OF THIS PRODUCT SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, CONSEQUENTIAL OR INCIDENTAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE SUCH PRODUCT EVEN IF THE AUTHOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

COPYRIGHT

WinBack Scratcher is owned and licensed exclusively by Masami Ikawa. Copyright (C) 1997-2000 Masami Ikawa All rights reserved. Reverse-engineering or modifying this software is strictly prohibited.


Support

Official Site : WindowsHouse (http://www.asahi-net.or.jp/~vr4m-ikw/Global/)

If you have any question or request, please send e-mail to my address (vr4m-ikw@asahi-net.or.jp) .


Thanks

Thanks for following person.

  • Touru Sugimoto ( Beta Tester )
  • Tomio Sumida ( Beta Tester )
  • Yuuki ( Information donner ) http://www.yuuki.com
  • Kenji ( Information donner ) http://www.terra.dti.ne.jp/~ken-ji

And, Thanks for many many users of WinBack Scratcher in Japan.


History

History of WinBack Scratcher

ver6.0

  • [XP] Support on Windows XP
  • Development move from C++Builder5 to Delphi6 personal.

ver5.53

  • [Fix] Problem of default path for installation of WinBack Scratcher.

ver5.52

  • [Fix] You can change name of Recycle Bin after you installed Internet Explorer 6.
  • [Fix] You can change title of Outlook Express after you installed Internet Explorer 6.

ver5.51

  • [New] Disable Active Desktop
  • [Bug-fix] Password problem in case of special character
  • [Fix] FileCleaner search backup file Office-XP use

ver5.5

  • The function that an editor displaying a source with Internet Explorer can be changed is added
  • [Win2000,WinMe]　The function about Place Bar is added
  • [Win2000] The function to let recognize secondary cache size of Pentium-III justly is added
  • [Win2000] The function to always arrange kernel with real memory is added
  • [Win2000] The function that file cache size can be changed is added
  • [Win2000] The function to change memory model for application activation is added
  • [Win9x,WinMe] The function to turn time slicing value into ideally is added
  • Executable Application
  • Double activation of WinBack Scratcher is checked

ver5.01

  • Localize english with WinBack Scratcher Japanese Edition


Backup Registry and Restore Registry

Backup and the restoration of registry

Windows95/98

WinBack Scratcher backs up registry in the first time starting after installation automatically. Before you set to Windows with WinBack Scratcher, please back up various important files with 'Backup' button. Backup file is stored in a folder of regback of installation directory of WinBack Scratcher. The following file is backed up (in case of windows directory, c:\windows).

  • c:\windows\system.dat
  • c:\windows\classes.dat (only WindowsMe)
  • c:\windows\user.dat
  • c:\windows\profiles\(user)\user.dat
  • c:\windows\system.ini
  • c:\windows\win.ini
  • c:\autoexec.bat
  • c:\config.sys
  • c:\msdos.sys

If you wish to restore from backup files, please restore to the original state in the following procedure.

  1. Please start Windows with a DOS mode again
  2. cd c:\Windows
  3. attrib -h -r -s system.dat
  4. attrib -h -r -s user.dat
  5. copy c:\winhand\regback\system.dat c:\windows
  6. copy c:\winhand\regback\user.dat c:\windows
  7. copy c:\winhand\regback\(user).dat c:\windows\profiles\(user)
  8. attrib +h +r +s system.dat
  9. attrib +h +r +s user.dat
  10. Please start again

Windows2000

When you push 'Backup' button, WinBack Scratcher will trigger standard backup tool of Windows 2000. Please refer to help about operation method of this tool.


Boot

Run WindowsGUI

If you annul this setting, MS-DOS will start when you turn on PC. However, enter 'Win', then WindowsGUI will start.

Display animation logo

If you annul this setting, starting logo will not display.

Display starting menu

If you validate this setting, starting menu will display before starting windows.

Time while display 'Starting Windows95 ...'

This setting can change displaying time of 'Starting Windows95' when turn on PC. In case of Windows98, this time is zero.

Starting logo

The starting logo is bitmap file. The regulation of this bitmap is 320x400 pixel and 256 colors.


FAQ

Display speed of icon is slower than before

Windows display icon from icon cache file. WinBack Scratcher will reset this cache file when you change icon. Then, Windows will store to cache file again. Accordingly, you feel slower than before.


Menu

はじめに
動作環境
インストール

基本的な使い方
アイコン
デスクトップ
エクスプローラ
ネットワーク/ごみ箱
右クリックメニュー
新規作成
ウィンドウ
制限
インタネットエクスプローラ
スタートメニュー
ログオン関連
パフォーマンス
システム
アンインストール
自動実行

不要ファイル掃除機
キーボード掃除機
マウス掃除機

著作権、免責事項
謝辞
サポート
改版履歴


MS-DOS

Disable MS-DOS Prompt

If you validate this setting, you cannot use MS-DOS. If you start MS-DOS, error message will appear.

Disable single MS-DOS mode

'Restart MS-DOS mode' item hide on menu after you select 'Shut Down'.

Make bright MS-DOS prompt, change background color and character color

Usually, background color is black and character color is dark white. This setting can change these setting.


Shut Down

Disable 'Shut Down' in logon dialog box

This setting can disable 'Shut Down' in logon dialog box. Accordingly, you cannot shut down without logon.

Poweroff when Shut Down

All PC cannot poweroff. If you cannot poweroff, you need to get newer HAL(Hardware Abstraction Layer).

Shutting Logo

The shutting logo is bitmap file. The regulation of this bitmap is 320x400 pixel and 256 colors.